> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/events/get-registration.md).

# Get Registration

## Get Registration

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/event?action=getRegistration`

Get Registration Details

#### Path Parameters

| Name    | Type    | Description                                        |
| ------- | ------- | -------------------------------------------------- |
| id      | integer | The registration identifier                        |
| eventId | integer | The event identifier to which registration belongs |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Returns

| Property           | Description                                                                                                            |
| ------------------ | ---------------------------------------------------------------------------------------------------------------------- |
| id                 | The unique registration identifier                                                                                     |
| currentStatus      | The current status of the event                                                                                        |
| isExhibitor        | Whether or not event registration is exhibitor                                                                         |
| completedDate      | The registered date time of event registration                                                                         |
| firstName          | The first name of the event registration                                                                               |
| lastName           | The last name of the event registration                                                                                |
| phone              | The phone number of event registration                                                                                 |
| privacyConsentData | The object of [Privacy Consent](/contact/get-contact.md#privacy-consent-data) field objects of the event registration. |
| modifiedDate       | The date & time the registration was last modified                                                                     |
| mainContactId      | The id of the main contact for the event registration                                                                  |
| invoiceTotalCost   | Total Cost of the invoices for the event registration                                                                  |
| invoiceTotalPaid   | Total payments of the invoices for the event registration                                                              |
| createdDate        | The date that the event registration was initially created.                                                            |

## Throws

| Code                 | Description             |
| -------------------- | ----------------------- |
| Specific Code: 24207 | Unable to find event    |
| Specific Code: 24208 | Invalid Registration Id |
| Specific Code: 24209 | Registration not found  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/events/get-registration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
